Subject: bug#45966: closed (Re: bug#45966: 28.0.50; dired: total used not updated after deleted files)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Apr 2021 17:00:03 +0000

Your bug report

#45966: 28.0.50; dired: total used not updated after deleted files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45966: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45966
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45966: 28.0.50; dired: total used not updated after deleted files
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Jean Louis <[email-masked]>
Date: Fri, 9 Apr 2021 11:59:48 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Jean Louis <[email-masked]> writes:
>
>> After that the buffer reverted and I could see this below.
>
> How did the buffer revert?  Do you have some code that auto-reverts the
> buffer after doing a `D'?

More information was requested, but none was given within 11 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: 28.0.50; dired: total used not updated after deleted files
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Sat, 16 Jan 2021 13:08:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

If I have situation like this below, then I have marked those files with
m and used D to delete them.

  /home/data1/protected/tmp/Trash:
  total used in directory 832 available 103.9 GiB
  drwxr-xr-x 14 admin admin 454656 Jan 16 13:04 .
  drwxrwxrwt 56 admin admin 327680 Jan 16 10:50 ..
* drwxr-xr-x  2 admin admin   4096 Jul 21  2019 .Contacts-Backup
  -r--------  1 admin admin    150 Nov 28 15:05 .dir-locals.el
* drwxr-xr-x  2 admin admin   4096 Jan 16 10:41 .downloads
* drwxrwx---  2 admin admin   4096 Jan 16 10:41 .downloads.~1~
* drwx------  2 admin admin   4096 Oct 18  2017 .elinks
* drwx------  2 admin admin   4096 Jan 16 10:40 .emacs.d
* -rw-r--r--  1 admin admin     23 Apr 17  2004 .forward
* drwx--S---  2 admin admin   4096 Nov 11  2007 .gnupg
* drwx------  2 admin admin   4096 Jul 14  2017 .gnupg.~1~
* -rw-------  1 admin admin      0 Dec 13 20:31 .lock
* drwx------  2 admin admin   4096 Mar 24  2018 .ssh
* drwxr-xr-x  2 admin admin   4096 Apr 29  2018 .stfolder
* drwxr-xr-x  2 admin admin   4096 Aug 14  2018 .stfolder.~1~
* drwxr-xr-x  2 admin admin   4096 Apr 30  2018 .stfolder.~2~
* drwxr-xr-x  2 admin admin   4096 May 28  2018 .stfolder.~3~
* -rw-rw----  1 admin admin    243 Dec  1 17:20 .wget-hsts

After that the buffer reverted and I could see this below. However the
"total used in directory 832" did not update. I think it should update
as if buffer reverted and files were removed and now buffer showing me
almost empty list then it shall also update the total.

  /home/data1/protected/tmp/Trash:
  total used in directory 832 available 103.9 GiB
  drwxr-xr-x 14 admin admin 454656 Jan 16 13:04 .
  drwxrwxrwt 56 admin admin 327680 Jan 16 10:50 ..
  -r--------  1 admin admin    150 Nov 28 15:05 .dir-locals.el

Only after pressing "g" to revert buffer I could see this below new
updated "total used"

  /home/data1/protected/tmp/Trash:
  total used in directory 776 available 103.9 GiB
  drwxr-xr-x  2 admin admin 454656 Jan 16 13:05 .
  drwxrwxrwt 56 admin admin 327680 Jan 16 10:50 ..
  -r--------  1 admin admin    150 Nov 28 15:05 .dir-locals.el

In GNU Emacs 28.0.50 (build 4, x86_64-pc-linux-gnu, X toolkit, cairo version 1.14.8, Xaw3d scroll bars)
 of 2021-01-01 built on protected.rcdrun.com
Repository revision: 30a1d5da7a43d51a97cbe8d91add9a26dd99df90
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Configured using:
 'configure --prefix=/package/text/emacs --with-modules
 --with-x-toolkit=lucid
 PKG_CONFIG_PATH=/home/data1/protected/GNUstep/Library/Libraries/pkgconfig:/usr/lib/pkgconfig'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Dired by name

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map text-property-search time-date subr-x seq
byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils view cus-edit easymenu
pp cus-start cus-load wid-edit dired-aux cl-loaddefs cl-lib dired
dired-loaddefs iso-transl tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice button loaddefs faces
cus-face macroexp files window text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 78602 8908)
 (symbols 48 9047 0)
 (strings 32 25015 2699)
 (string-bytes 1 769856)
 (vectors 16 14652)
 (vector-slots 8 241398 26207)
 (floats 8 36 64)
 (intervals 56 592 0)
 (buffers 984 19))

-- 
Thanks,
Jean Louis
⎔ λ 🄯 𝍄 𝌡 𝌚